|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QKeySequence

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QKeySequence class reference

### Public Functions

- operator QString () const `(obsolete)`
- operator int () const `(obsolete)`

## Member Function Documentation

### QKeySequence::operator QString () const

Use toString() instead.

Returns the key sequence as a QString. This is equivalent to calling toString(QKeySequence::NativeText). Note that the result is not platform independent.

### QKeySequence::operator int () const

For backward compatibility: returns the first keycode as integer. If the key sequence is empty, 0 is returned.